<?php 
require_once('../modelos/Producto.php');

$producto=new Producto();

$idarticulo=isset($_POST["idarticulo"])? limpiarCadena($_POST["idarticulo"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$idcategoria=isset($_POST["idcategoria"])? limpiarCadena($_POST["idcategoria"]):"";
$unidadmedida=isset($_POST["unidadmedida"])? limpiarCadena($_POST["unidadmedida"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$imagen=isset($_POST["imagen"])? limpiarCadena($_POST["imagen"]):"";
$codigo=isset($_POST["codigo"])? limpiarCadena($_POST["codigo"]):"";
$estado=isset($_POST["estado"])? limpiarCadena($_POST["estado"]):"";
$nroproducto=isset($_POST["nroproducto"])? limpiarCadena($_POST["nroproducto"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      
        if (!file_exists($_FILES['imagen']['tmp_name']) || !is_uploaded_file($_FILES['imagen']['tmp_name']))
          {
            $imagen=$_POST["imagenactual"];
          }
          else
          {
            $ext = explode(".", $_FILES["imagen"]["name"]);
            if ($_FILES['imagen']['type'] == "image/jpg" || $_FILES['imagen']['type'] == "image/jpeg" || $_FILES['imagen']['type'] == "image/png")
            {
              $imagen = round(microtime(true)) . '.' . end($ext);
              move_uploaded_file($_FILES["imagen"]["tmp_name"], "../files/articulos/" . $imagen);
            }
		    }  
      if(empty($idarticulo))
      {
        $rspta=$producto->insertar($nombre,$idcategoria,$unidadmedida,$descripcion,$imagen,$codigo,$estado,$nroproducto);
        echo $rspta ? "Producto Registrado" : "Producto no se pudo registrar";
      }
      else {
          $rspta=$producto->editar($idarticulo,$nombre,$idcategoria,$unidadmedida,$descripcion,$imagen,$codigo,$estado,$nroproducto);
          echo $rspta ? "Producto Actualizada" : "Producto no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$producto->mostrar($idarticulo);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$producto->eliminar($idarticulo);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'mostrarCodigoBarra':
      $rspta=$producto->imprimirCodigoBarra($idarticulo);
      echo json_encode($rspta);
    break;

    case 'listarcategoria':
      require_once "../modelos/Categoria.php";
		  $categoria = new Categoria();
      $rspta=$categoria->listarcategoria();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        $condicion = ($reg->condicion == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activa</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactiva</button>';
        $data[]=array(
          "0"=>$reg->codigo,
          "1"=>$reg->nombre,
          "2"=>$reg->descripcion,
          "3"=>$condicion,
          "4"=>' <button class="btn btn-primary btn-xs btn-flat open-AddImgDialog" onclick="mostrarlista('.$reg->idcategoria.')" data-toggle="modal" data-target="#modalProducto" ><i class="fa fa-folder-open"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'listarpro':		
      $idcate=$_GET['id'];
      $rspta=$producto->listarpro($idcate);
      //Vamos a declarar un array
      $data= Array();
      $i=0;
      while ($reg=$rspta->fetch_object()){

        $condicion = ($reg->estado == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activa</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactiva</button>';
        
        $i+=1;
        $data[]=array(
          "0"=>'<a href="create.php?idarticulo=' . $reg->idarticulo . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>',
          "1"=>$reg->cod,
          "2"=>$reg->codigo,
          "3"=>$reg->nombre, 				
          "4"=>$reg->marca,
          "5"=>$reg->descripcion, 				
          "6"=>"<img src='../../files/articulos/".$reg->imagen."' height='50px' width='50px' >",
          "7"=>$condicion, 
          );
      }
      $results = array(
        "sEcho"=>1, //Información para el datatables
        "iTotalRecords"=>count($data), //enviamos el total registros al datatable
        "iTotalDisplayRecords"=>count($data), //enviamos el total registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);
    break;

    case 'grafico_stock':
      $rspta=$producto->grafico_stock();
      echo json_encode($rspta);
    break;

    
}
?>